QGIS Application - Bug report #11225
Processing tools don't work without opening the configuration
2014-09-18 06:41 AM - Howard Frederick

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19534
Description

Scripts, GRASS and R scripts don't run after QGIS is first opened. Scripts give an error when run:

Algorithm Regular sampling grid starting...
coercing to Unicode: need string or buffer, QPyNullVariant found See log for more details

GRASS claims missing dependencies.

Both of these are fixed by opening Processing | Options and configuration and interacting with any of the options - toggling scripts as a
provider, opening and checking the GRASS folder. Afterwards all the functions work.

History

#1 - 2014-11-08 12:11 AM - Howard Frederick

This problem no longer occurs in 2.6.

#2 - 2014-11-08 12:23 AM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Open to Closed

#3 - 2015-06-07 04:33 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
